澳门新萄京官方网站-www.8455.com-澳门新萄京赌场网址

澳门新萄京官方网站编译安装Zabbix,LAMP源码安装

2019-10-12 作者:澳门新萄京官方网站   |   浏览(152)

zabbix3.4源码安装步骤
1.设置处境:
安装机器:22.224.9.227 以下简称监察和控制机;
操作系统音讯:内核版本:
Linux version 2.6.18-194.1.AXS3 (packager@asianux.com) (gcc version 4.1.2 20080704 (Asianux 3.0 4.1.2-48)) #1 SMP Fri May 7 10:03:53 CST 2010
批发版本:
Red Flag Asianux Server 3 for x86_64 (Quartet SP3)
是因为缅怀到mysql要存大批量的数码,所以安装的目录要非常大,故思索设置在weblogic/weblogic家目录上面
鉴于官方推荐服务端和客商端必需在差异的客商下边运维,故牵记将server端安装在monitor/monitor下边,全体的agent运转在使用客户上边
2.mysql5.6装置:weblogic/weblogic客商下边,安装目录:/app/weblogic/software/mysql5.6
平素接纳原本mysql,拷贝修改相应的陈设文件就可以
nohup /app/weblogic/software/mysql5.6/mysql/bin/mysqld --defaults-file=/app/weblogic/software/mysql5.6/mysql/conf/my.cnf --basedir=/app/weblogic/software/mysql5.6/mysql --datadir=/app/weblogic/software/mysql5.6/data --plugin-dir=/app/weblogic/software/mysql5.6/mysql/lib/plugin --log-error=/app/weblogic/software/mysql5.6/data/monap4.err --pid-file=/app/weblogic/software/mysql5.6/monap4.pid --socket=/app/weblogic/software/mysql5.6/mysql.sock --port=3306 --explicit_defaults_for_timestamp &
/app/weblogic/software/mysql5.6/mysql/bin/mysql -uroot -p --socket=/app/weblogic/software/mysql5.6/mysql.sock
3.安裝http:
mkdir -p /app/weblogic/software/httpd-2.2.23
mkdir -p /app/weblogic/software/httpd-2.2.23/apr
mkdir -p /app/weblogic/software/httpd-2.2.23/apr-util
cd /app/weblogic/software/zabbix_setup
tar -xvf httpd-2.2.23.tar.gz
cd /app/weblogic/software/zabbix_setup/httpd-2.2.23/srclib/apr
./configure --prefix=/app/weblogic/software/httpd-2.2.23/apr
make
make install

1.安装tengine-2.1.2

#LAMP
#httpd-2.2.32
#mysql-5.7.17-linux-glibc2.5-x86_64 二进制压缩版
#php5.3.27

编写翻译安装Zabbix 3.0及分开安顿安顿详解

实验系统:CentOS 6.6_x86_64

实践前提:提前绸缪好编写翻译景况,防火墙和selinux都关闭

尝试求证:本实验共有4台主机,IP及剧中人物分配如拓扑

下载地址:试验中用到mariadb软件的下载地址,

实验拓扑:

澳门新萄京官方网站 1

一、计划干活

1.退换hostname和hosts文件为如下表格中内容:

澳门新萄京官方网站 2

澳门新萄京官方网站 3

表明:mysql是zabbix数据存放主机,server是zabbix主服务主机,web是zabbix前端彰显主机,agent是被监督主机。平时情状下那七个角色能够搭建在同四个主机上,在这里个试验里是分开陈设了。

2.联手时间:

ntpdate 192.168.70.21        //地址写你自个儿的流年服务器

二、安装mysql服务器

1.在mysql.jason.com主机上安装mysql:

tar xf mariadb-10.0.20-linux-x86_64.tar.gz  -C /usr/local/
cd /usr/local/
ln -sv mariadb-10.0.20-linux-x86_64 mysql
useradd -r mysql
mkdir -pv /mydata/data
chown -R mysql.mysql /mydata/data/
cd mysql/
chown -R root.mysql .
scripts/mysql_install_db --user=mysql --datadir=/mydata/data/
cp support-files/my-large.cnf /etc/my.cnf
cp support-files/mysql.server /etc/init.d/mysqld
chkconfig --add mysqld
chkconfig mysqld on

2.编写制定配置文件并运行:

vim /etc/my.cnf
----------------------------------------------->
[mysqld]
datadir = /mydata/data            //扩充此行
<-----------------------------------------------
service mysqld start

3.开立zabbix数据库和授权客户:

/usr/local/mysql/bin/mysql
------------------------------------>
CREATE DATABASE zabbix;
GRANT ALL ON zabbix.* TO 'zabbix'@'192.168.19.%' IDENTIFIED BY '123456';
GRANT ALL ON zabbix.* TO 'zabbix'@'localhost' IDENTIFIED BY '123456';
GRANT ALL ON zabbix.* TO 'zabbix'@'mysql.jason.com' IDENTIFIED BY '123456';
FLUSH PRIVILEGES;

4.导入数据库文件:

wget
tar xf zabbix-3.0.0alpha2.tar.gz
cd zabbix-3.0.0alpha2/database/mysql/
/usr/local/mysql/bin/mysql -uzabbix -p123456 zabbix < schema.sql          //导入顺序不可能错
/usr/local/mysql/bin/mysql -uzabbix -p123456 zabbix < images.sql
/usr/local/mysql/bin/mysql -uzabbix -p123456 zabbix < data.sql

三、安装Zabbix-Server服务器

1.在server.jason.com主机上编写翻译安装zabbix:

yum -y install mysql-devel libxml2-devel net-snmp-devel libcurl-devel
wget
tar xf zabbix-3.0.0alpha2.tar.gz
cd zabbix-3.0.0alpha2
groupadd zabbix
useradd -g zabbix zabbix
./configure --prefix=/usr/local/zabbix-server --enable-server --with-mysql --with-net-snmp --with-libcurl --with-libxml2
make install

2.编写制定配置文件并运转:

mkdir /var/log/zabbix
chown -R zabbix:zabbix /var/log/zabbix
vim /usr/local/zabbix-server/etc/zabbix_server.conf
------------------------------------------------------------->
LogFile=/var/log/zabbix/zabbix_server.log
DBHost=192.168.19.66
DBName=zabbix
DBUser=zabbix
DBPassword=123456
ListenIP=127.0.0.1,192.168.19.74
<-------------------------------------------------------------
/usr/local/zabbix-server/sbin/zabbix_server -c /usr/local/zabbix-server/etc/zabbix_server.conf      //运营服务

翻看端口,已经开头监听了:

四、安装Zabbix-Web服务器

1.在web.jason.com主机上安装httpd和php:

yum -y install httpd php php-mysql libXpm php-bcmath php-gd php-mbstring php-xml t1lib
mkdir /var/www/html/zabbix
wget
tar xf zabbix-3.0.0alpha2.tar.gz
cd zabbix-3.0.0alpha2/frontends/php/
cp -a . /var/www/html/zabbix/

2.配置php并启动httpd:

vim /etc/php.ini
----------------------------------------->
date.timezone = Asia/Shanghai
post_max_size = 16M
max_execution_time = 300
max_input_time = 300
----------------------------------------->
service httpd start

用浏览器访谈

澳门新萄京官方网站 4

澳门新萄京官方网站 5

澳门新萄京官方网站 6

澳门新萄京官方网站,此地出现权力报错,将计划文件下载下来保存到/var/www/html/zabbix/conf/zabbix.conf.php文件中。就算手动写入配置文件之后假如还报错,能够忽视,将浏览器关闭因人而异复张开连接就能够。登陆账号admin,登陆密码zabbix:

澳门新萄京官方网站 7

vim /var/www/html/zabbix/conf/zabbix.conf.php    //手动写入配置
---------------------------------------------------------->
<?php
// Zabbix GUI configuration file.
global $DB;

$DB['TYPE']    = 'MYSQL';
$DB['SERVER']  = '192.168.19.66';
$DB['PORT']    = '0';
$DB['DATABASE'] = 'zabbix';
$DB['USER']    = 'zabbix';
$DB['PASSWORD'] = '123456';

// Schema name. Used for IBM DB2 and PostgreSQL.
$DB['SCHEMA'] = '';

$ZBX_SERVER      = '192.168.19.74';
$ZBX_SERVER_PORT = '10051';
$ZBX_SERVER_NAME = '';

$IMAGE_FORMAT_DEFAULT = IMAGE_FORMAT_PNG;
?>

澳门新萄京官方网站 8

五、安装Zabbix-Agent端

1.在agent.jason.com主机上设置:

wget
tar xf zabbix-3.0.0alpha2.tar.gz
cd zabbix-3.0.0alpha2
groupadd zabbix-agent
useradd -g zabbix-agent zabbix-agent
./configure --prefix=/usr/local/zabbix-agent --enable-agent
make install

2.编写制定配置文件:

mkdir /var/log/zabbix
chown -R zabbix-agent:zabbix-agent /var/log/zabbix/
vim /usr/local/zabbix-agent/etc/zabbix_agentd.conf
------------------------------------------------------------>
LogFile=/var/log/zabbix/zabbix_agentd.log
Server=192.168.19.74
ServerActive=192.168.19.74
Hostname=agent.jason.com
User=zabbix-agent
<------------------------------------------------------------
/usr/local/zabbix-agent/sbin/zabbix_agentd -c /usr/local/zabbix-agent/etc/zabbix_agentd.conf

六、增加主机

此地本人就差不离截图一下来演示了,进度也许并不详细:

澳门新萄京官方网站 9

澳门新萄京官方网站 10

澳门新萄京官方网站 11

澳门新萄京官方网站 12

于今,演示进程全体甘休,谢谢大家的看见!

局地Zabbix相关课程集合:

Ubuntu 14.04下Zabbix2.4.5 源码编写翻译安装 

设置配备分布式监察和控制系统Zabbix 2.06

《安装配置布满式监控系统Zabbix 2.06》

CentOS 6.3下Zabbix安装配置

Zabbix布满式监察和控制系统实行

CentOS 6.3下Zabbix监控apache server-status

CentOS 6.3下Zabbix监察和控制MySQL数据库参数

64位CentOS 6.2下安装Zabbix 2.0.6   

ZABBIX 的详实介绍:请点这里
ZABBIX 的下载地址:请点这里

正文永远更新链接地址:

3.0及分开计划安插详解 实验系统:CentOS 6.6_x86_64 实验前提:提前盘算好编写翻译意况,防火墙和selinux都关门 实验验证:本实验共...

首先创立zabbix组和客商

cd /app/weblogic/software/zabbix_setup/httpd-2.2.23/srclib/apr-util
./configure --prefix=/app/weblogic/software/httpd-2.2.23/apr-util --with-apr=/app/weblogic/software/httpd-2.2.23/apr
make
make install

yum -y install gcc gcc-c make pcre-devel openssl openssl-devel

1、系统意况优化检查

sed -i 's/SELINUX=enabled/SELINUX=disabled/g' /etc/selinux/config
getenforce 0
/etc/init.d/iptables stop
cat /etc/redhat-release
CentOS release 6.7 (Final)
uname -r
2.6.32-431.el6.x86_64
uname -m
x86_64

 groupadd zabbix

cd /app/weblogic/software/zabbix_setup/httpd-2.2.23
./configure --prefix=/app/weblogic/software/httpd-2.2.23 --with-apr=/app/weblogic/software/httpd-2.2.23/apr --with-apr-util=/app/weblogic/software/httpd-2.2.23/apr-util --enable-module=shared
make
make install

tar  xf tengine-2.1.2.tar.gz

2、安装配置apache

#apache官网#新建apache运营客户useradd -s /sbin/nologin -M www
mkdir tools
cd tools
#下载http代码包

wget


#附上aliyun下载地址
wget -c
wget -c
wget -c
#安装插件apr和apr-util
#编写翻译安装apr
tar xf apr-1.5.2.tar.gz
cd apr-1.5.2
./configure --prefix=/usr/local/apr-1.5.2
make && make install
echo $?
ln -s /usr/local/apr-1.5.2/ /usr/local/apr
cd ..
#编写翻译安装apr-util
tar xf apr-util-1.5.4.tar.gz
cd apr-util-1.5.4
./configure --prefix=/usr/local/apr-util-1.5.4 --with-apr=/usr/local/apr-1.5.2/
echo $?
make && make install
echo $?
ln -s /usr/local/apr-util-1.5.4/ /usr/local/apr-util
cd ..
#设置效率包
yum install pcre-devel zlib-devel openssl-devel -y
#安装apache
tar zxvf httpd-2.4.25.tar.gz
cd httpd-2.4.25
./configure --prefix=/usr/local/httpd-2.4.25
> --with-apr=/usr/local/apr-1.5.2
> --with-apr-util=/usr/local/apr-util-1.5.4
> --enable-so --enable-deflate --enable-expires
> --enable-headers --enable-ssl --enable-rewrite
> --enable-mpms-shared=all --with-mpm=prefork
> --enable-mods-shared=most
echo $?

#--prefix= apache安装目录。暗许意况下,安装目录设置为 /usr/local/apache2。
#--sysconfdir= 钦定布署文件安装路线
#--with-apr= 若是要运用已设置的APKuga,则必需告诉脚本configure的apr的装置路线
#--with-apr-util 钦赐已安装的apr-util的装置路线
#--enable-so 允许运转时加载DSO模块
#--enable-cgi 启用cgi协议
#--with-zlib 启用zlib库文件
#--with-pcre 内定pcre的设置路线
#--enable-modules=most 启用大相当多分享模块
#--enable-deflate 压缩传输编码帮助
#--enable-expires Expires头控制
#--enable-headers HTTP头控制
#--enable-ssl 运营ssl加密效率,SSL/TLS扶植(mod_ssl)
#--enable-rewrite 基于准则的UTiguanL操作,启用U路虎极光L重写功效
#--enable-mpms-shared=all 空间分隔的MPM模块列表启用,动态加载
#--with-mpm=prefork 钦赐使用的MPM的品类, 选取Apache使用的进度模型(event|worker|prefork|winnt)
#--enable-mods-shared=most 启用MPM大非常多参数, 定义要启用并塑造为动态分享模块的模块列表,默许设置为most(all|most|few|reallyall)
make
make install
ln -s /usr/local/httpd-2.4.25/ /usr/local/httpd
#配备http情形变量
echo "export PATH=/usr/local/httpd/bin:$PATH" >>/etc/profile
. /etc/profile
#查看http模块
ls /usr/local/httpd/modules
#翻看安装的模块
apachectl -t -D DUMP_MODULES
#修改http配置文件
sed -i 's/#ServerName www.example.com:80/ServerName localhost:80/g' /usr/local/httpd/conf/httpd.conf
#启动apache服务
apachectl start
#查看http服务
netstat -lntup|grep httpd
tcp 0 0 :::80 :::* LISTEN 56389/httpd
#配置运行脚本
cp /usr/local/httpd/bin/apachectl /etc/init.d/httpd
chmod x /etc/init.d/httpd
/etc/init.d/httpd stop
netstat -lntup|grep httpd
/etc/init.d/httpd start
netstat -lntup|grep httpd
vim /etc/init.d/httpd
#在开首地点增加:
# chkconfig: 345 85 15
# description: this my apache is httpd server
#步入系统运维服务,开机自运营
chkconfig --add httpd
chkconfig httpd on
chkconfig --list httpd
#测量试验访谈符合规律!到此apache安装到位!
#以人为镜的人家的开发银行脚本

澳门新萄京官方网站 13澳门新萄京官方网站 14

cat >>/etc/init.d/httpd<<EOF
#!/bin/bash
#
# httpd Startup script for the Apache HTTP Server
# chkconfig: - 85 15
# description: Apache is a World Wide Web server. It is used to serve 
# HTML files and CGI.
# processname: httpd
# config: /etc/httpd/conf/httpd.conf
# config: /etc/sysconfig/httpd
# pidfile: /var/run/httpd.pid
# Source function library.
. /etc/rc.d/init.d/functions

if [ -f /etc/sysconfig/httpd ]; then
. /etc/sysconfig/httpd
fi

# Start httpd in the C locale by default.
HTTPD_LANG=${HTTPD_LANG-"C"}
# This will prevent initlog from swallowing up a pass-phrase prompt if
# mod_ssl needs a pass-phrase from the user.
INITLOG_ARGS=""
# Set HTTPD=/usr/sbin/httpd.worker in /etc/sysconfig/httpd to use a server
# with the thread-based "worker" MPM; BE WARNED that some modules may not
# work correctly with a thread-based MPM; notably PHP will refuse to start.
# Path to the apachectl script, server binary, and short-form for messages.
apachectl=/usr/local/apache/bin/apachectl
httpd=${HTTPD-/usr/local/apache/bin/httpd}
prog=httpd
pidfile=${PIDFILE-/var/run/httpd.pid}
lockfile=${LOCKFILE-/var/lock/subsys/httpd}
RETVAL=0

start() {
echo -n $"Starting $prog: "
LANG=$HTTPD_LANG daemon --pidfile=${pidfile} $httpd $OPTIONS
RETVAL=$?
echo
[ $RETVAL = 0 ] && touch ${lockfile}
return $RETVAL
}

stop() {
echo -n $"Stopping $prog: "
killproc -p ${pidfile} -d 10 $httpd
RETVAL=$?
echo
[ $RETVAL = 0 ] && rm -f ${lockfile} ${pidfile}
}
reload() {
echo -n $"Reloading $prog: "
if ! LANG=$HTTPD_LANG $httpd $OPTIONS -t >&/dev/null; then
RETVAL=$?
echo $"not reloading due to configuration syntax error"
failure $"not reloading $httpd due to configuration syntax error"
else
killproc -p ${pidfile} $httpd -HUP
RETVAL=$?
fi
echo
}

# See how we were called.
case "$1" in
start)
start
;;
stop)
stop
;;
status)
status -p ${pidfile} $httpd
RETVAL=$?
;;
restart)
stop
start
;;
condrestart)
if [ -f ${pidfile} ] ; then
stop
start
fi
;;
reload)
reload
;;
graceful|help|configtest|fullstatus)
$apachectl $@
RETVAL=$?
;;
*)
echo $"Usage: $prog {start|stop|restart|condrestart|reload|status|fullstatus|graceful|help|configtest}"
exit 1
esac

exit $RETVAL
EOF

View Code

#查看编写翻译的模块
/usr/local/apache/bin/apachectl -l
/usr/local/apache/bin/apachectl -M

#一键式安装apache

澳门新萄京官方网站 15澳门新萄京官方网站 16

useradd -s /sbin/nologin -M www
mkdir ~/tools
cd ~/tools
/bin/ping baidu.com -c 2
[ $? -eq 0 ] && {
wget http://mirrors.tuna.tsinghua.edu.cn/apache//httpd/httpd-2.4.25.tar.gz
wget http://mirrors.cnnic.cn/apache//apr/apr-1.5.2.tar.gz
wget http://mirrors.cnnic.cn/apache//apr/apr-util-1.5.4.tar.gz
} || exit 110
tar xf apr-1.5.2.tar.gz 
cd apr-1.5.2
./configure --prefix=/usr/local/apr-1.5.2
make && make install
echo $?
sleep 2
ln -s /usr/local/apr-1.5.2/ /usr/local/apr
cd ..
#编译安装apr-util
tar xf apr-util-1.5.4.tar.gz 
cd apr-util-1.5.4
./configure --prefix=/usr/local/apr-util-1.5.4 --with-apr=/usr/local/apr-1.5.2/
make && make install
echo $?
sleep 2
ln -s /usr/local/apr-util-1.5.4/ /usr/local/apr-util
cd ..
yum install pcre-devel zlib-devel openssl-devel -y
tar zxvf httpd-2.4.25.tar.gz 
cd httpd-2.4.25
./configure --prefix=/usr/local/httpd-2.4.25 
--with-apr=/usr/local/apr-1.5.2 
--with-apr-util=/usr/local/apr-util-1.5.4 
--enable-so --enable-deflate --enable-expires 
--enable-headers --enable-ssl --enable-rewrite 
--enable-mpms-shared=all --with-mpm=prefork 
--enable-mods-shared=most
echo $?
sleep 2
make
make install
ln -s /usr/local/httpd-2.4.25/ /usr/local/httpd
echo "export PATH=/usr/local/httpd/bin:$PATH" >>/etc/profile
. /etc/profile
sed -i 's/#ServerName www.example.com:80/ServerName localhost:80/g' /usr/local/httpd/conf/httpd.conf
apachectl start
netstat -lntup|grep 80 >/dev/null && echo OK!

View Code

 useradd -g zabbix zabbix

vim httpd.conf 修改配置http接济
AddType application/x-httpd-php .php
AddType application/x-httpd-php-source .php5
<IfModule dir_module>
DirectoryIndex index.html index.php
</IfModule>
4.PHP安裝:
1.安装libiconv-1.14 php依赖
cd /app/weblogic/software/zabbix_setup/libiconv-1.14
./configure --prefix=/app/weblogic/software/php-5.6.33/libiconv
make
make install

groupadd nginx

3、mysql安装与陈设,此处是二进制安装

useradd -s /sbin/nologin -M mysql
wget
tar -zxvf mysql-5.7.17-linux-glibc2.5-x86_64.tar.gz
mv mysql-5.7.17-linux-glibc2.5-x86_64 /usr/local/mysql-5.7.17
ln -s /usr/local/mysql-5.7.17 /usr/local/mysql
#成立数据库文件目录
mkdir -p /data/mysql
chown -R mysql.mysql /data/
#安插运行脚本文件,并到场种类服务,自运转
cp /usr/local/mysql/support-files/mysql.server /etc/init.d/mysqld
chmod x /etc/init.d/mysqld
chkconfig --add mysqld
chkconfig mysqld on
#安插mysql配置文件

澳门新萄京官方网站 17澳门新萄京官方网站 18

cat > /etc/my.cnf << EOF
[client]
port = 3306
socket = /tmp/mysql.sock
default-character-set = utf8
[mysqld]
port = 3306
socket = /tmp/mysql.sock
basedir = /usr/local/mysql
datadir = /data/mysql
pid-file = /data/mysql/mysql.pid
user = mysql
bind-address = 0.0.0.0
server-id = 1
init-connect = 'SET NAMES utf8'
character-set-server = utf8
#skip-name-resolve
#skip-networking
back_log = 300
max_connections = 1000
max_connect_errors = 6000
open_files_limit = 65535
table_open_cache = 128
max_allowed_packet = 4M
binlog_cache_size = 1M
max_heap_table_size = 8M
tmp_table_size = 16M
read_buffer_size = 2M
read_rnd_buffer_size = 8M
sort_buffer_size = 8M
join_buffer_size = 8M
key_buffer_size = 4M
thread_cache_size = 8
query_cache_type = 1
query_cache_size = 8M
query_cache_limit = 2M
ft_min_word_len = 4
log_bin = mysql-bin
binlog_format = mixed
expire_logs_days = 30
log_error = /data/mysql/mysql-error.log
slow_query_log = 1
long_query_time = 1
slow_query_log_file = /data/mysql/mysql-slow.log
performance_schema = 0
explicit_defaults_for_timestamp
#lower_case_table_names = 1
skip-external-locking
default_storage_engine = InnoDB
#default-storage-engine = MyISAM
innodb_file_per_table = 1
innodb_open_files = 500
innodb_buffer_pool_size = 64M
innodb_write_io_threads = 4
innodb_read_io_threads = 4
innodb_thread_concurrency = 0
innodb_purge_threads = 1
innodb_flush_log_at_trx_commit = 2
innodb_log_buffer_size = 2M
innodb_log_file_size = 32M
innodb_log_files_in_group = 3
innodb_max_dirty_pages_pct = 90
innodb_lock_wait_timeout = 120
bulk_insert_buffer_size = 8M
myisam_sort_buffer_size = 8M
myisam_max_sort_file_size = 10G
myisam_repair_threads = 1
interactive_timeout = 28800
wait_timeout = 28800
[mysqldump]
quick
max_allowed_packet = 16M
[myisamchk]
key_buffer_size = 8M
sort_buffer_size = 8M
read_buffer = 4M
write_buffer = 4M
EOF

View Code

#早先化数据库:
/usr/local/mysql/bin/mysqld --initialize-insecure --user=mysql --basedir=/usr/local/mysql --datadir=/data/mysql
#非凡情状变量
echo "export PATH=$PATH:/usr/local/mysql/bin" >>/etc/profile
. /etc/profile

#启动MySQL服务
/etc/init.d/mysqld start
Starting MySQL.. SUCCESS!
netstat -lntup|grep 3306
tcp 0 0 0.0.0.0:3306 0.0.0.0:* LISTEN 28150/mysqld
ps -ef |grep mysql
root 28284 1 2 07:26 pts/0 00:00:00 /bin/sh /usr/local/mysql/bin/mysqld_safe --datadir=/data/mysql --pid-file=/data/mysql/mysql.pid
mysql 29119 28284 5 07:26 pts/0 00:00:00 /usr/local/mysql/bin/mysqld --basedir=/usr/local/mysql --datadir=/data/mysql --plugin-dir=/usr/local/mysql/lib/plugin --user=mysql --log-error=/data/mysql/mysql-error.log --open-files-limit=65535 --pid-file=/data/mysql/mysql.pid --socket=/tmp/mysql.sock --port=3306

#修改root密码

mysql -uroot -e "Set password=password(‘123.com’);"
mysql -uroot -p123.com -e "use mysql;update user set authentication_string=password('456.com') where user='root';"
update mysql.user set authentication_string=password("123.com") where user='root';

 

cd /app/weblogic/software/zabbix_setup/mhash-0.9.9.9
./configure --prefix=/app/weblogic/software/php-5.6.33/mhash
make
make install
cd /app/weblogic/software/zabbix_setup/libmcrypt-2.5.7
./configure --prefix=/app/weblogic/software/php-5.6.33/libmcrypt
make
make install

useradd  -g nginx nginx -s /sbin/nologin

4、php的装置与铺排

#查看apache和MySQL运营是不是健康

netstat -lntup|egrep '80|3306'
tcp 0 0 0.0.0.0:3306 0.0.0.0:* LISTEN 29119/mysqld
tcp 0 0 :::80 :::* LISTEN 26925/httpd

1)、扩充扶助(mcrypt、mhash扩张和libevent)
如果想让编写翻译的php援助mcrypt、mhash增加和libevent,要求安装以下包
libmcrypt
libmcrypt-devel
mhash
mhash-devel
说明:
mcrypt扩充库能够兑现加密解密功用,正是不只能将公开加密,也足以密文还原。
mhash是基于离散数学原理的不可逆向的php加密方法扩张库,其在默许景况下不张开。
mhash的能够用于创建校验数值,音讯摘要,音信认证码,以至不要原版的书文的重要消息保存(如密码)等。

centos源不能安装libmcrypt-devel,由于版权的来由尚未自带mcrypt的包
能够运用第三方源,那样还足以使用yum来设置
设置第三方yum源
wget
sh ./atomic
使用yum命令安装
yum install php-mcrypt libmcrypt libmcrypt-devel mhash mhash-devel

2)、libevent相关包
能够依附须求安装libevent,系统平日会自带libevent,但版本有个别低。由此能够进级安装如下三个rpm包。
yum install libevent libevent-devel

说明:
libevent是四个异步事件文告库文件,其API提供了在某文件陈诉上发出某件事件时或其超时时实施回调函数的机制
它根本用来替换事件驱动的网络服务器上的event loop机制。
这段日子的话, libevent扶持/dev/poll、kqueue、select、poll、epoll及Solaris的event ports。

3)、帮衬xml的连锁包
支持xml的rpm包
bzip2 是八个基于Burrows-Wheeler变换的无损压缩软件能够高效的实现文件数量的滑坡
libcurl首要成效正是用不一致的公约连接和联络分裂的服务器,也正是相当封装了的sockPHP
libcurl允许你用分歧的协商连接和维系不相同的服务器
yum install libxml2 libxml2-devel bzip2-devel libcurl-devel

4)、图形相关的rpm包
普普通通对应的失实提醒:JIS-mapped Japanese font support in GD
yum install libjpeg-devel libpng-devel freetype-devel

#开头yum安装安装插件包,可复制批量设置
wget
sh ./atomic
yum -y install zlib libxml libjpeg freetype libpng gd curl libiconv zlib-devel gd-devel curl-devel openssl-devel libxslt-devel* php-mcrypt libmcrypt libmcrypt-devel mhash mhash-devel libevent libevent-devel libxml2 libxml2-devel bzip2-devel libcurl-devel libjpeg-devel libpng-devel freetype-devel
第一下载源码包至地面目录,下载地方
wget

tar zxvf php-5.6.30.tar.gz
cd php-5.6.30

./configure
--prefix=/usr/local/php
--with-config-file-path=/usr/local/php/etc
--with-apxs2=/usr/local/httpd/bin/apxs
--enable-inline-optimization
--enable-fpm
--with-mysql=/usr/local/mysql
--with-mysqli=/usr/local/mysql/bin/mysql_config
--with-pdo-mysql=/usr/local/mysql
--with-gettext
--enable-mbstring
--with-iconv=/usr/local/libiconv
--with-mcrypt
--with-mhash
澳门新萄京官方网站编译安装Zabbix,LAMP源码安装。--with-openssl
--enable-bcmath
--enable-soap
--with-libxml-dir
--enable-sockets
--with-curl
--with-zlib
--enable-zip
--with-bz2
--with-gd
--with-freetype-dir
--with-jpeg-dir
--with-png-dir

###有关编写翻译配置项的详细描述:

echo $?
make
make install
cp php.ini-production /usr/local/php/etc/php.ini

#检查apache和PHP整合

grep modules/libphp5.so /usr/local/httpd/conf/httpd.conf
修改apache配置文件:
vim /usr/local/httpd/conf/httpd.conf
ServerName 127.0.0.1:80
#增加:
AddType application/x-httpd-php .php
AddType application/x-httpd-php-source .phps
#修改客商:
User www
Group www
#修改主页文件:
<IfModule dir_module>
DirectoryIndex index.php index.html
</IfModule>

/usr/local/httpd/bin/apachectl -t
Syntax OK

vim /usr/local/apache/htdocs/index.php
<?php
phpinfo();
?>
#重新加载apache配置文件
/usr/local/apache/bin/apachectl graceful

测验访问平常!

#编辑测量检验代码,测量检验数据库链接是不是健康
vim /usr/local/apache/htdocs/mysql-test.php
<?php
//$link_id=mysql_connect('主机名','用户','密码');
$link_id=mysql_connect('localhost','root','123.com') or mysql_error();
if($link_id){
echo "mysql is ok!n";
}else{
echo "mysql_error()";
}
?>

#到此LAMP安装到位!


mkdir -p /app/local/zabbix#接下来成立zabbix编写翻译安装目录

cd /app/weblogic/software/zabbix_setup/mcrypt-2.6.8
export LD_LIBRARY_PATH=/app/weblogic/software/php-5.6.33/libmcrypt/lib:/app/weblogic/software/php-5.6.33/mhash/lib:/app/weblogic/software/php-5.6.33/libiconv/lib:/usr/local/lib
export LDFLAGS="-L/app/weblogic/software/php-5.6.33/mhash/lib/ -I/app/weblogic/software/php-5.6.33/mhash/include/"
export CFLAGS="-I/app/weblogic/software/php-5.6.33/mhash/include/"
./configure --prefix=/app/weblogic/software/php-5.6.33/mcrypt --with-libiconv-prefix=/app/weblogic/software/php-5.6.33/libiconv --with-libmcrypt-prefix=/app/weblogic/software/php-5.6.33/libmcrypt

cd tengine-2.1.2

5、zabbix安装配备:

wget

#安装支撑监督snmp包监察和控制沟通机等
yum install net-snmp-devel
tar zxvf zabbix-3.0.8.tar.gz
cd zabbix-3.0.8
./configure --prefix=/usr/local/zabbix --enable-server --enable-agent --with-mysql --with-net-snmp --with-libcurl --with-libxml2
make && make install
echo $?

#布置数据库导入数据
mysql>create database zabbix;
mysql>grant all on zabbix.* to 'zabbixuser'@'localhost' identified by '123.com';
Query OK, 0 rows affected, 1 warning (0.00 sec)
mysql> flush privileges;
Query OK, 0 rows affected (0.01 sec)
mysql> use zabbix;
mysql> source /root/tools/zabbix-3.0.8/database/mysql/schema.sql
mysql> source /root/tools/zabbix-3.0.8/database/mysql/images.sql
mysql> source /root/tools/zabbix-3.0.8/database/mysql/data.sql
#开头化sql文件在源码包/root/zabbix-3.0.4/database/mysql目录下
#配置zabbix_server配置文件修改如下:
vim /usr/local/zabbix/etc/zabbix_server.conf
LogFile=/usr/local/zabbix/logs/zabbix_server.log
DBHost=localhsot
DBName=zabbix
DBUser=zabbixuser
DBPassword=123.com #zabbixuser的密码
LogSlowQueries=3000

cp misc/init.d/fedora/core/* /etc/init.d/
chmod x /etc/init.d/zabbix_server
chmod x /etc/init.d/zabbix_agentd
sed -i 's#BASEDIR=/usr/local#BASEDIR=/usr/local/zabbix#g' /etc/init.d/zabbix_agentd
sed -i 's#澳门新萄京官方网站编译安装Zabbix,LAMP源码安装。BASEDIR=/usr/local#BASEDIR=/usr/local/zabbix#g' /etc/init.d/zabbix_server
useradd -s /sbin/nologin -M zabbix
mkdir /usr/local/zabbix/logs
chown -R zabbix.zabbix /usr/local/zabbix/
/etc/init.d/zabbix_agentd start
/etc/init.d/zabbix_server start
netstat -lntup|grep 1005
tcp 0 0 0.0.0.0:10050 0.0.0.0:* LISTEN 28005/zabbix_agentd
tcp 0 0 0.0.0.0:10051 0.0.0.0:* LISTEN 27916/zabbix_server

#拷贝代码文件到apache发布目录下修改名叫zabbix:

cp -a frontends/php /usr/local/httpd/htdocs/zabbix

sed -i 's#;date.timezone =#date.timezone = Asia/Shanghai#g' /usr/local/php/etc/php.ini
sed -i 's#post_max_size = 8M#post_max_size = 16M#g' /usr/local/php/etc/php.ini
sed -i 's#max_execution_time = 30#max_execution_time = 300#g' /usr/local/php/etc/php.ini
sed -i 's#max_input_time = 60#max_input_time = 300#g' /usr/local/php/etc/php.ini
#消除前边的#号就可以,纠缠了半天。
sed -i 's#;always_populate_raw_post_data = -1#always_populate_raw_post_data = -1#g' /usr/local/php/etc/php.ini
#再度加载apache
/usr/local/httpd/bin/apachectl graceful

终极一步(install)会报错,不能创造布局文件。
下载配置文件,保存到/usr/local/httpd/htdocs/zabbix/conf/zabbix.conf.php
再度登入就能够:usename:admin password:zabbix

修改普通话:administration>>users>>admin>>language(chinese(zh_CN)) 更新网页就可以。

减轻图形分界面汉语乱码的主题材料:
从windows下调整面板->字体->选择一种中文字库比如“陶文”
cd /usr/local/httpd/htdocs/zabbix/fonts
mv DejaVuSans.ttf DejaVuSans.ttf.bak
rz 上传字体文件simkai.ttf到当前目录
ls
DejaVuSans.ttf.bak simkai.ttf
vim ../include/defines.inc.php
在VIM编辑中使用替换到效将DejaVuSans替换来simkai,不增加后缀。
:%s/DejaVuSans/simkai

问题1:
./zabbix_server
./zabbix_server: error while loading shared libraries: libmysqlclient.so.20: cannot open shared object file: No such file or directory
解决:
# find / -name "libmysqlclient.so.20"
/usr/local/mysql-5.7.17/lib/libmysqlclient.so.20
ln -s /usr/local/mysql/lib/libmysqlclient.so.20 /usr/lib
ldconfig

承接更新zabbix监察和控制项目和监察告急。。。。

mkdir /etc/zabbix#安插目录

cd /app/weblogic/software/zabbix_setup/php-5.6.33
./configure
--prefix=/app/weblogic/software/php-5.6.33
--with-mysql
--with-mysqli=mysqlnd
--with-pdo-mysql=mysqlnd
--with-iconv-dir=/app/weblogic/software/php-5.6.33/libiconv
--with-freetype-dir
--with-jpeg-dir
--with-png-dir
--with-zlib
--with-libxml-dir=/usr
--with-gettext
--enable-xml
--disable-rpath
--enable-bcmath
--enable-shmop
--enable-sysvsem
--enable-inline-optimization
--with-curl
--enable-mbregex
--enable-fpm
--enable-mbstring
--with-gd
--enable-gd-native-ttf
--with-openssl
--enable-pcntl
--enable-sockets
--with-xmlrpc
--enable-soap
--enable-short-tags
--enable-static
--with-xsl
--with-apxs2=/app/weblogic/software/httpd-2.2.23/bin/apxs
--enable-ftp
--enable-opcache=no
make
make install

./configure --prefix=/opt/www/nginx --sbin-path=/usr/sbin/nginx --conf-path=/opt/www/nginx/conf/nginx.conf --error-log-path=/data/ic/nginx/error_log/error.log --http-log-path=/data/ic/nginx/access_log/access.log --pid-path=/var/run/nginx/nginx.pid  --lock-path=/var/lock/nginx.lock --user=nginx --group=nginx --with-http_ssl_module --with-http_stub_status_module --with-http_gzip_static_module --with-http_realip_module --with-http_v2_module --with-http_sub_module --with-pcre

进入mysql 新建zabbix数据库

cd /app/weblogic/software/httpd-2.2.23/bin
vim ../htdocs/index.php
<?php
phpinfo();
?>

make && make install

 mysql -uroot -p

./apachectl start

5.zabbix server端安装:作者要好本机安装供给安装MySQL-dev
cd /app/weblogic/software/zabbix_setup/zabbix-3.4.10
./configure --prefix=/app/weblogic/software/zabbix3.4 --enable-server --enable-java --with-mysql --enable-ipv6 --with-net-snmp --with-libcurl --with-libxml2

2.安装php

>create database zabbix;

make
make isntall
6.布置server端,主要布置日志路线和数据库相关
创制有关的目录:
mkdir /app/weblogic/software/zabbix3.4/log/
mkdir /app/weblogic/software/zabbix3.4/SocketDir
mkdir /app/weblogic/software/zabbix3.4/SNMPTrapperFile/
mkdir /app/weblogic/software/zabbix3.4/alertscripts
mkdir /app/weblogic/software/zabbix3.4/externalscripts
配置文件:
LogFile=/app/weblogic/software/zabbix3.4/log/zabbix_server.log
LogFileSize=0
PidFile=/app/weblogic/software/zabbix3.4/zabbix_server.pid
SocketDir=/app/weblogic/software/zabbix3.4/SocketDir
DBHost=192.168.99.2
DBPort=3306
DBName=zabbix
DBUser=root
DBPassword=jack
SNMPTrapperFile=/app/weblogic/software/zabbix3.4/SNMPTrapperFile/zabbix_traps.tmp
Timeout=4
AlertScriptsPath=/app/weblogic/software/zabbix3.4/alertscripts
ExternalScripts=/app/weblogic/software/zabbix3.4/externalscripts
LogSlowQueries=3000

yum install gcc make gd-devel libjpeg-devel libpng-devel libxml2-devel bzip2-devel libcurl-devel  -y

>grant all privileges on zabbix.* to zabbix_user@'192.168.10.115' identified by '123456';

7.配置php:
cd /app/weblogic/software/httpd-2.2.23/htdocs
mkdir zabbix
cd /app/weblogic/software/zabbix_setup/zabbix-3.4.10/frontends/php
cp -r * /app/weblogic/software/httpd-2.2.23/htdocs/zabbix/
cd /app/weblogic/software/php-5.6.33/lib
vim php.ini
max_execution_time = 300
max_input_time = 300
session.auto_start = 0
mbstring.func_overload = 0
always_populate_raw_post_data = -1
date.timezone =Asia/Shanghai

tar xvf php-5.6.30.tar.gz

>show databases;

8.分界面布置:
Admin/zabbix
语言选拔支持汉语
9.agent安装:
cd /app/weblogic/zabbix-3.4.10
./configure --prefix=/home/monitor/zabbix_agent --enable-agent
make
make install
/home/monitor/software/httpd-2.2.23/bin/zabbix_agent/sbin
./zabbix_agentd -c ../etc/zabbix_agentd.conf
配置:
/home/monitor/zabbix_agent/log
PidFile=/home/monitor/zabbix_agent/zabbix_agentd.pid
LogFile=/home/monitor/zabbix_agent/log/zabbix_agentd.log
PidFile=/home/monitor/zabbix-agent/zabbix_agentd.pid
LogFile= /home/monitor/zabbix-agent/logs/zabbix_agentd.log
Hostname=JacK2
Include=/home/monitor/zabbix-agent/etc/zabbix_agentd.conf.d/
Include=/home/monitor/zabbix-agent/etc/zabbix_agentd.conf.d/*.conf

测量检验命令 zabbix_get -s 22.224.9.228 10050 -k "system.cpu.load[all,avg1]"

./configure --prefix=/opt/php --with-config-file-path=/opt/php/etc --with-bz2 --with-curl --enable-ftp --enable-sockets --disable-ipv6 --with-gd --with-jpeg-dir=/opt/php --with-png-dir=/opt/php --with-freetype-dir=/opt/php --enable-gd-native-ttf --with-iconv-dir=/opt/php  --enable-calendar --with-gettext --with-libxml-dir=/opt/php --with-zlib --with-pdo-mysql=mysqlnd --with-mysqli=mysqlnd --with-mysql=mysqlnd --enable-dom --enable-xml --enable-fpm --with-libdir=lib64  --enable-bcmath --enable-mbstring

>exit

make && make install

 

cp /opt/php/etc/php-fpm.conf.default /opt/php/etc/php-fpm.conf

 

cp /opt/php-5.6.30/php.ini-production  /opt/php/etc/php.ini

下载zabbix

sed -i "s/post_max_size = 8M/post_max_size = 16M/g" /opt/php/etc/php.ini

wget 

sed -i "s/max_execution_time = 30/max_execution_time = 300/g" /opt/php/etc/php.ini

 

sed -i "s/max_input_time = 60/max_input_time = 300/g" /opt/php/etc/php.ini

tar zxvf  zabbix-2.2.6.tar.gz

sed -i "s/;date.timezone =/date.timezone = Asia/Shanghai/g" /opt/php/etc/php.ini

 

sed -i "s/;always_populate_raw_post_data = -1/always_populate_raw_post_data = -1/g" /opt/php/etc/php.ini

cd zabbix-2.2.6/database/mysql

/opt/php/sbin/php-fpm

 

3.整合php与nginx

导入数据,顺序是schema.sql images.sql data.sql

vim /opt/www/nginx/conf/nginx.conf

mysql -uroot -p zabbix < schema.sql

server {

mysql -uroot -p zabbix < images.sql

        listen      80;

mysql -uroot -p zabbix < data.sql

        server_name  10.12.61.197;

 

location / {

切换到zabbix-2.2.6目录下

            root  /data/zabbix;

 ./configure --prefix=/app/local/zabbix --with-mysql --with-net-snmp --with-libcurl --enable-server --enable-agent --enable-proxy

            index  index.html index.htm index.php;

报错

location ~ .php$ {

缺少net-snmp-devel

            root          html;

yum  -y install net-snmp-devel 后再行编写翻译通过

            fastcgi_pass  127.0.0.1:9000;

 

            fastcgi_index  index.php;

make

            fastcgi_param  SCRIPT_FILENAME  /data/zabbix$fastcgi_script_name;

make install

            include        fastcgi_params;

 

        }

增进期服用务

安装zabbix

vi /etc/services

yum install -y net-snmp-devel libxml2-devel libcurl-devel libevent-devel

在最终边到场服务端口

./configure --prefix=/opt/zabbix --enable-server --enable-agent --with-mysql --with-net-snmp --with-libcurl --with-libxml2

zabbix-agent 10050/tcp # Zabbix Agent

groupadd zabbix

zabbix-agent 10050/udp # Zabbix Agent

useradd  -g zabbix zabbix -s /sbin/nologin

zabbix-trapper 10051/tcp # Zabbix Trapper

grant all privileges on zabbix.* to zabbix@localhost identified by 'zabbix';

zabbix-trapper 10051/udp # Zabbix Trapper

create database zabbix default charset utf8;

 

source /opt/zabbix-3.4.4/database/mysql/schema.sql;

 

source /opt/zabbix-3.4.4/database/mysql/images.sql;

在zabbix目录下将conf目录下文件拷贝到/etc/zabbix下

source /opt/zabbix-3.4.4/database/mysql/data.sql;

cp -r ./conf/* /etc/zabbix/

vim /opt/zabbix/etc/zabbix_server.conf

设置/etc/zabbix客户组和目录

DBName=zabbix

chown -R zabbix:zabbix /etc/zabbix

DBUser=zabbix

 

DBPassword=zabbix

vi /etc/zabbix/zabbix_agent.conf#编辑agent

DBPort=3306

LogFile=/tmp/zabbix_server.log

find / -name libperconaserverclient.so.20

 

/opt/mysql/lib/libperconaserverclient.so.20

PidFile=/tmp/zabbix_server.pid

echo "/opt/mysql/lib" >> /etc/ld.so.conf

 

echo "/opt/mysql/lib/libperconaserverclient.so.20" >> /etc/ld.so.conf

DBName=zabbix

ldconfig

 

/opt/zabbix/sbin/zabbix_server -c  /opt/zabbix/etc/zabbix_server.conf

DBUser=zabbix_user

zabbix-agent安装

 

tar xvf zabbix-3.4.4.tar.gz

DBPassword=123456     #内定zabbix数据库密码

yum install -y net-snmp-devel libxml2-devel libcurl-devel libevent-devel php php-mysql

 

cd /opt/zabbix-3.4.4

ListenIP=192.168.10.115    #服务器IP地址

./configure --prefix=/opt/zabbix_agent --enable-agent

 

make install

 

groupadd zabbix

 

useradd  -g zabbix zabbix -s /sbin/nologin

vi /etc/zabbix/zabbix_server.conf

cd /opt/

 

yum localinstall  -y percona-zabbix-templates-1.1.7-2.noarch.rpm

PidFile=/tmp/zabbix_agentd.pid #进程PID

vim /var/lib/zabbix/percona/scripts/ss_get_mysql_stats.php

 

mysql_user = 'zabbix'

LogFile=/tmp/zabbix_agentd.log #日记保存地方

mysql_pass = 'zabbix'

 

mysql_socket = '/tmp/mysql.sock'

EnableRemoteCommands=1 #同意实践长途命令

cp userparameter_percona_mysql.conf  /opt/zabbix_agent/etc/zabbix_agentd.conf.d/

 

sed -i "s/Server=127.0.0.1/Server=10.12.61.190/g" /opt/zabbix_agent/etc/zabbix_agentd.conf

Server=192.168.10.115 #agent端的ip

sed -i "s/ServerActive=127.0.0.1/ServerActive=10.12.61.190/g" /opt/zabbix_agent/etc/zabbix_agentd.conf

 

sed -i "s/Hostname=Zabbix server/#Hostname=Zabbix server/g" /opt/zabbix_agent/etc/zabbix_agentd.conf

Hostname=client1 #必须与zabbix创建的host name相同

sed -i "s/# HostnameItem=system.hostname/HostnameItem=system.hostname/g" /opt/zabbix_agent/etc/zabbix_agentd.conf

 

sed -i "s/# UnsafeUserParameters=0/UnsafeUserParameters=1/g" /opt/zabbix_agent/etc/zabbix_agentd.conf

 

vim /opt/zabbix_agent/etc/zabbix_agentd.conf

在zabbix目录下切换成frontends下

Include=/opt/zabbix_agent/etc/zabbix_agentd.conf.d/

cd frontends/

/opt/zabbix_agent/sbin/zabbix_agentd -c /opt/zabbix_agent/etc/zabbix_agentd.conf

mkdir -p /app/local/nginx/html/zabbix

GRANT SELECT, PROCESS, SUPER, REPLICATION CLIENT ON *.* TO 'zabbix'@'localhost' identified by'zabbix';

cp  -rf php /app/local/nginx/html/zabbix

flush privileges;

 

/usr/bin/php -q /var/lib/zabbix/percona/scripts/ss_get_mysql_stats.php --host localhost --items gg

chown www:www -R /app/local/nginx/html/zabbix

chown zabbix.zabbix /tmp/localhost-mysql_cacti_stats.txt

编辑php.ini文件

vim ~zabbix/.my.cnf

vi /app/local/php/etc/php.ini

[mysql]

修改音信

user=zabbix

max_execution_time = 300

password=zabbix

max_input_time = 300

socket=/tmp/mysql.sock

memory_limit = 128M

sh /var/lib/zabbix/percona/scripts/get_mysql_stats_wrapper.sh running-slave

post_max_size = 32M

date.timezone = Asia/Shanghai

mbstring.func_overload=2

加入extension=bcmath.so

    extension=gettext.so

   

 

保存退出后重启php-fpm

然后在浏览器中输入:

http://ZabbixIP/zabbix/php  如若出新403 就在location / {

            root   html;

            index index.php  index.html index.htm;#加index.php

        }

 

 

 

 

 

 

 

 

最后会自行写入配置文件:zabbix.conf.php,配置完成后出现登入分界面,私下认可的客户名称为:admin,密码为:zabbix。

启动zabbix服务

#/app/local/zabbix/sbin/zabbix_server start

报错:/app/local/zabbix/sbin/zabbix_server: error while loading shared libraries: libmysqlclient.so.18: cannot open shared object file: No such file or directory

解决:

先查看libmysqlclient.so.18  文件地方

意识其设有于mysql安装目录下的lib目录下 修改ld.so.conf文件

echo "/app/local/mysql5.6.27/lib" >>/etc/ld.so.conf

执行ldconfig

重新运维zabbix后无报错。

安装zabbix开机运维:

vi  /etc/rc.d/rc.local在最后参预

/app/local/zabbix/sbin/zabbix_server start

/app/local/zabbix/sbin/zabbix_agentd start

本文由澳门新萄京官方网站发布于澳门新萄京官方网站,转载请注明出处:澳门新萄京官方网站编译安装Zabbix,LAMP源码安装

关键词: